<?php
/**
 * Try to initializes the language system
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
try {
	$lang = LanguageSystem::createLanguageSystem(sprintf("%s%s",
		PATH,
		FrameworkConfiguration::getInstance()->readConfig('lang_base_path')
	));
} catch (LanguagePathIsEmptyException $e) {
	ApplicationEntryPoint::app_die(sprintf("[Main:] The language sub-system could not be initialized for the following reason: <strong>%s</strong>",
		$e->getMessage()
	));
} catch (InvalidLanguagePathStringException $e) {
	ApplicationEntryPoint::app_die(sprintf("[Main:] The language sub-system could not be initialized for the following reason: <strong>%s</strong>",
		$e->getMessage()
	));
} catch (LanguagePathIsNoDirectoryException $e) {
	ApplicationEntryPoint::app_die(sprintf("[Main:] The language sub-system could not be initialized for the following reason: <strong>%s</strong>",
		$e->getMessage()
	));
} catch (LanguagePathReadProtectedException $e) {
	ApplicationEntryPoint::app_die(sprintf("[Main:] The language sub-system could not be initialized for the following reason: <strong>%s</strong>",
		$e->getMessage()
	));
}

// [EOF]
?>
